WPSEO_Utils::is_api_available()public staticYoast 3.6

Checks if the WP-REST-API is available.

{} Это метод класса: WPSEO_Utils{}

Хуков нет.

Возвращает

true|false. Returns true if the API is available.

Использование

$result = WPSEO_Utils::is_api_available( $minimum_version );
$minimum_version(строка)
The minimum version the API should be.
По умолчанию: '2.0'

Список изменений

С версии 3.6 Введена.
С версии 3.7 Introduced the $minimum_version parameter.

Код WPSEO_Utils::is_api_available() Yoast 19.7.1

public static function is_api_available( $minimum_version = '2.0' ) {
	return ( defined( 'REST_API_VERSION' )
		&& version_compare( REST_API_VERSION, $minimum_version, '>=' ) );
}